.tab-pane:not(.active) {
  display: none;
}
/* Site Content */
p{
  min-height: 1.7rem;
}
.site-content{display: inline-block; width: 100%; padding:0px 0;}
.sec-heading h3{color: #437dc6; font-weight: 600; text-transform: uppercase;}
.sec-heading{float: left; width: 100%; margin:0 0 10px 0;}
/*.fm-txt{border-radius: 10px; border:1px solid #ccc; text-align: left; background:#fff; height: 30px; width: 100%; padding:0 10px; font-size: 11px; box-shadow: inset 0 1px 1px rgba(0,0,0,.075);}*/
/*.fm-txt + ul.dropdown-menu {width: 100%;}*/
/*.fm-txt .caret{float: right; margin: 0px 0 0 0;}*/
/*li.search-dd{position: relative; padding:0 10px; margin: 0 0 5px 0}*/
/*li.search-dd i{position: absolute; right: 20px;top: 9px;}*/
/*.fm-row label{font-size: 10px; font-weight: 600; color: #888888; margin: 0 0 5px 5px; text-transform: uppercase;}*/
/*.fm-txt + ul.dropdown-menu a{padding:8px 8px;}*/
/*.cn-box{display: inline-block; width: 100%; margin: 0 0 5px 0}*/
/*.fm-row label{display: block;}*/
/*button.fm-txt{color:#888;}*/
.round-sm-circle{display: inline-block; vertical-align: top; line-height: 32px; width: 32px; height: 32px; border-radius: 50%; background-color: #437dc6; text-align: center;}
.round-sm-circle i{font-size: 14px; color:#fff;}
a.link-arrow{font-size: 18px; vertical-align: middle; font-weight: normal;margin: 0 0 0 15%; color:#333;}
hr{border-color:#c7c7c7; margin-top: 5px; margin-bottom: 15px;}
.m-tabs .nav-tabs{border-bottom: 0; display: inline-block;}
.m-tabs .nav-tabs li a{border:2px solid #49b1d7; border-radius: 0; background-color: #fff; padding: 3px 15px; margin: 0 -1px; font-size: 13px; color:#888;}
.m-tabs .nav-tabs li a:hover{ background-color: #eee; }
.m-tabs .nav-tabs li:first-child a{border-top-left-radius:30px;border-bottom-left-radius:30px;}
.m-tabs .nav-tabs li:last-child a{border-top-right-radius:30px;border-bottom-right-radius:30px;}

.m-tabs .nav-tabs>li.active>a,.m-tabs .nav-tabs>li.active>a:hover,.m-tabs .nav-tabs>li.active>a:focus{border:2px solid #bf0000; background-color: #bf0000; color: #fff}
.m-accordian .panel-title a{display: block;text-decoration: none;padding: 8px 10px;font-size: 13px;}
.m-accordian .panel-title a:hover{text-decoration: none;}
.m-accordian .panel-body{background-color: #f3f3f3}
.m-accordian .panel-default{border:none;}
.m-accordian .panel-default>.panel-heading{border:none;}
.m-accordian .panel-group{margin-top:20px; float: left; width: 100%;}
.panel-heading .accordion-toggle.collapsed:after {content: "\f078";}
.panel-heading .accordion-toggle:after { margin: 0 30px 0 0px; content: "\f077"; float: right;color: #888;}

.accordian-filter .panel-heading .accordion-toggle.collapsed:after {content: "\f067";}

.m-accordian .panel-title{position: relative;}
.pin-ico{position: absolute; right: 0; top:0;}
.m-accordian .panel-heading{padding: 0;}
.bootstrap-switch span{max-width:75px !important;min-width:66px !important; color:#fff; background-color: #49b1d7;}
#headingOne7 + div .bootstrap-switch span{max-width:45px !important;min-width:22px !important; }

#headingOne + div .bootstrap-switch span{max-width:45px !important;min-width:22px !important; }

/*.dt-first .bootstrap-switch span.bootstrap-switch-primary::before {content: "0";position: relative;z-index: 99999;}
.dt-first .bootstrap-switch span.bootstrap-switch-default:before {content: "\f130"; font-family: FontAwesome; position: relative;z-index: 99999;}
.switch-btn{display: inline-block;}
.switch-btn + .switch-btn{margin-left:0%;}
.dt-two .bootstrap-switch span.bootstrap-switch-primary::before {content: "A";position: relative;z-index: 99999;}
.dt-two .bootstrap-switch span.bootstrap-switch-default:before {content: "\f0a6"; font-family: FontAwesome; position: relative;z-index: 99999;}
.bootstrap-switch span:before{font-size: 18px;}
.dt-three .bootstrap-switch span.bootstrap-switch-primary::before {content: "\f183"; font-family: FontAwesome; position: relative; z-index: 99999;}
.dt-three .bootstrap-switch span.bootstrap-switch-default:before {content: "\f1b9"; font-family: FontAwesome; position: relative;z-index: 99999;}*/

.multiselect-native-select{display: inline-block;width: 100%; }
.multiselect-native-select .btn-group,.multiselect-native-select .dropdown-toggle{width: 100%;text-align: center;}
.multiselect-native-select .caret{float: right;}
.multiselect-container.dropdown-menu{width:100px }
.multiselect-native-select .btn-group button{ border-radius: 20px;border: 2px solid #dbdbdb;text-align: left;background: #fff;height: 43px;}
textarea.fm-txt{min-height: 70px; padding: 10px;}
/*.sc-first .bootstrap-switch span.bootstrap-switch-primary::before {content: "0";position: relative;z-index: 99999;}
.sc-first .bootstrap-switch span.bootstrap-switch-default:before {content: "\f130"; font-family: FontAwesome; position: relative;z-index: 99999;}
.manual-first .bootstrap-switch span.bootstrap-switch-primary::before {content: "off";position: relative;z-index: 99999;}
.manual-first .bootstrap-switch span.bootstrap-switch-default:before {content: "On"; font-family: FontAwesome; position: relative;z-index: 99999;}*/

.date-outer{position: relative; display: inline-block; width: 100%}
.date-outer i{position: absolute; top: 6px; right: 16px; font-size: 19px;}
i.fa-plus-circle{font-size: 22px;}
.mb-table table th{background-color: #211c47 !important; color: #fff; padding:6px !important;}
.mb-table table td{padding:6px !important; font-size: 10px;}
.m-accordian .round-sm-circle {line-height: 33px;width: 32px;height: 32px;}
.fm-30{width: 30%; display: inline-block;}
/*.payment-row span{display: inline-block;}*/
.payment-row .fm-30{margin:0 5px;}
.inner-heading{margin:0 0 15px 0; font-size: 14px;}
.payment-row span i{color: #437dc6; font-size: 18px; margin:0 2px;}
.reset-buttons{float: right; text-align: right;}
.reset-buttons .round-sm-circle{background-color: #e0e0e0; margin-left: 10px; }
.reset-buttons .round-sm-circle i{color:#8e8e8e;}
.left-content{padding-left:15px; padding-top:15px;background-color: #FFFFFF;}
.right-content{padding-left:25px;padding-right:15px; background-color: #f3f3f3;padding-top:15px;}
.half-txt {
  width: 50%; 
  display: inline-block;
}
.half-txt + .link-arrow{margin: 0 0 0 5%;}
ul.filters{display: inline-block; border-radius: 20px; border:2px solid #dbdbdb; overflow: hidden;}
ul.filters li{display: inline-block;}
ul.filters li a{padding:7px;display: inline-block; background-color: #eee; color: #999; font-size: 16px;}
ul.filters li i.fa-mobile{font-size: 20px;}
ul.filters li.active a,ul.filters li a:hover{ background-color: #437dc6; color: #fff; }

.tab-content{clear: both;}

/* .order-table .dropdown-menu{bottom: 100%; right: 0; top:auto; left: auto;} */
.order-table .dropdown-menu{right: 0;left: auto;}
.order-table a{margin:0 2px;}
.form-control { border-radius: 10px; font-size: 11px; height:30px;}
.dropdown .dropdown-toggle { padding: 3px 8px;}
.autocomplete { margin-top: 6px; margin-left: 12px;}
.autocomplete-width div {
  width: 100%;
    padding: 0;
    margin: 0;
    background: transparent;
    border: none;
   
}
.autocomplete-width {
  min-height: 100%;
}
.autocomplete-field-container {
  display: flex;
  flex-direction: column;
}

.autocomplete-field-container .form-control {
  width: 100%;
  border-radius: 10px;
  font-size: 11px;
  height: 30px !important;
  border:1px solid #ccc;
  background-color: #fff;
}

.orderInfoTable p {padding: 10px;}

.form-control::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #8a8a8a;
}
.form-control::-moz-placeholder { /* Firefox 19+ */
  color: #8a8a8a;
}
.form-control:-ms-input-placeholder { /* IE 10+ */
  color: #8a8a8a;
}
.form-control:-moz-placeholder { /* Firefox 18- */
  color: #8a8a8a;
}

::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #8a8a8a;
}
::-moz-placeholder { /* Firefox 19+ */
  color: #8a8a8a;
}
:-ms-input-placeholder { /* IE 10+ */
  color: #8a8a8a;
}
:-moz-placeholder { /* Firefox 18- */
  color: #8a8a8a;
}

.order_map_icon{
  font-size: 22px;
  float:right;
}
.order_map_div{
  margin-bottom:2%;
}
/*.autocomplete input{width:90%}*/
/*.dropdown-menu>li>a{font-size:12px;}*/
/*.btn{padding:4px 10px; font-size: 12px;}*/
/*.mat-form-field-infix{padding:0; border-top:0}*/
/*.mat-form-field-underline{display: none}*/
/*.mat-option{font-size:13px; height: 36px !important; line-height: 36px !important;}*/
/*.mat-form-field-wrapper{padding-bottom: 0}*/
/*.fm-txt .mat-select-arrow-wrapper {float: right;margin: 12px 0 0 0;}*/
/*.m-tabs .mat-form-field-infix{width:100%}*/
#headingOne7 + div .bootstrap-switch.bootstrap-switch-small .bootstrap-switch-handle-off,
#headingOne7 + div .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-info
{padding-left:5px !important;padding-right:5px !important;}

#headingOne + div .bootstrap-switch.bootstrap-switch-small .bootstrap-switch-handle-off,
#headingOne + div .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-info
{padding-left:5px !important;padding-right:5px !important;}

.mat-input-element,.autocomplete-field-container .form-control{padding:0 10px;}

@media(max-width:1199px){
  .fm-30 {width: 30%;}
  /* div[class^="col-"]{margin-bottom: 8px} */
  a.link-arrow{ margin: 0 0 0 6%;}
}
@media(min-width: 1024px){
  .order-table{overflow: initial;}
}

.alertdanger {
  color: #FF0000;
  font-size: 1rem;
  padding-left: 1rem;
}

/** 26 feb **/
.cust-detail{
  float: left;
  width: 100%;
  background: #eeeeee;
  padding: 5px;
  margin-top: 10px;
  cursor: pointer;
}
.cust-detail input{
  border-radius: 5px !important;
  border: 1px solid #ccc;
  height: 20px;
  width: 100%;
  padding: 6px 12px;
}
.customer_profile {
  float: left;
  height: 70px;
  width:  70px;
  overflow: hidden;
  border-radius: 50%;
  border: 1px solid #e1e1e1;
}
.customer_username {
  padding-left: 1rem;
  vertical-align: middle;
  text-align: left;
}
.customer_username span {
  display: block;
}
.customer_phone {
  padding-left: 1rem;
  vertical-align: middle;
  text-align: left;
}
.customer_phone span {
  display: block;
}
.customer_phone p{
  min-height:1.5rem;
}
.customer_phone button {
  font-size: .9rem;
}
#myTab li>a.nav-link {
  color: #437dc6;
  border: 1px solid #eee;
}
#myTab li>a:hover {
  border: 1px solid #437dc6;
  background: #437dc6;
  color: #fff;
}

#myTab li.nav-item.active a.nav-link{
  border: 1px solid #437dc6;
  background: #437dc6;
  color: #fff;
}
ul#myTab {
  margin-top: 20px;
  margin-bottom: 0;
  float: left;
  width: 100%;
  clear: both;
}
.tab-information{
  display: block;
}
.tab-information .tab-pane.active{
  background: #eeeeee;
}
.tab-information .tab-pane table th{
  background: #211c47 !important;
  color: #ffffff;
  padding: 5px;
}
.m-tabs.map {
  float: left;
  width: 100%;
}
.order_menu li a {
  cursor: pointer;
}
.mat-form-field{width: 100%}

.option-otr {
  display: inline-block;
  vertical-align: middle;
  width: 56%;
  font-size: 13px;
  margin: 10px;
}

.option_span {
  float: left;
  width: 100%;
  margin: 0;
  padding: 0 0 0 11px;
  line-height: 17px;
}

.img-otr{display:inline-block;vertical-align: middle;}

.copy_order{
  background-color: transparent;
  border:none;
  padding: 0;
  margin: 0;
}
.red{

  color: #ffffff;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
  background-color: #da4f49;
  background-image: -moz-linear-gradient(top, #ee5f5b, #bd362f);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ee5f5b), to(#bd362f));
  background-image: -webkit-linear-gradient(top, #ee5f5b, #bd362f);
  background-image: -o-linear-gradient(top, #ee5f5b, #bd362f);
  background-image: linear-gradient(to bottom, #ee5f5b, #bd362f);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffee5f5b', endColorstr='#ffbd362f', GradientType=0, enabled = false);
  border-color: #bd362f #bd362f #802420 !important;
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}

.fm-row{display: inline-block; width: 100%; margin: 10px 0 0;}


.tariff-option{
  border-bottom: 1px solid #dedede !important;
    height: auto !important;
    width: 100% !important;
}

.disableOption {
  pointer-events: none;

}

.disableOption .mat-option-text{
  color: #AAA !important;
}
.calendar-style{
  font-size: 17px;
  float: right;
  position: absolute;
  top: 5px;
  clear: both;
  right: 24px;
}
.calendar-schedule {
  font-size: 17px;
  float: right;
  position: absolute;
  top: 25px;
  clear: both;
  right: 24px;
}
.orderinfo{
  padding: 6px;
}

#myModel .modal-dialog{
  width: 80%;
}
.pop-up{
  cursor: pointer;
  }
  .pop-up:hover .popup-box {
  visibility: visible;
  opacity: 1;
  }
  .popup-box{
  visibility: hidden;
  border: 0px 1px 1px 1px solid #ccc;
  border-radius: 15px;
  z-index: 1;
  margin-left: 50px;
  padding: 0 px 5px;
  background-color: #fff;
  position: absolute;
  }
  .th1{
  border-radius: 15px 0px 0px 0px;
  }
  .th2{
  border-radius: 0px 15px 0px 0px;
  }
  .pop-up-vehicle{
    cursor: pointer;
    }
    .pop-up-vehicle:hover .popup-box-vehicle {
    visibility: visible;
    opacity: 1;
    }
    .popup-box-vehicle{
    visibility: hidden;
    border: 1px solid #AAA;
    z-index: 1;
    margin-left: 5px;
    padding: 5px;
    border-radius: 5px;
    background-color: #fff;
    position: absolute;
    }
    .black-link
    {
      color:#000;
    }
  .slide-extra{
    display: flex;
    flex-direction: row;
    margin-right: 10px;
  }
  .slide-extra .extra-address{
    margin-left: 5px;
  }
  .extra-address .trip-loc{
    margin-bottom: 10px;
  }
  .slide-basic, .slide-tarif, .slide-total{
    margin-right: 10px;
  }
  .table-wrapper-scroll-y {
    display: block;
    max-height: 200px;
    overflow-y: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
  }
  button.btn2.collapsed:before
  {
      /* content:'+' ; */
      display:block;
      width:15px;
  }
  button.btn2:before
  {
      /* content:'-' ; */
      display:block;
      width:15px;
  }
  .toast-pink {
    background-color: grey;
  }
  .maping{
    height:500px;
  }
  html {
    scroll-behavior: smooth;
  }
  td{
    color:#000;
  }
.icons{
  cursor: pointer;
}
.icons a{
  font-size:20px;
}
.icons a:hover{
  font-size:19px;
}  
.mat-option:focus:not(.mat-option-disabled), .mat-option:hover:not(.mat-option-disabled) {
    background-color: #211c47 !important;
}
/*.right-content .form-control, .right-content .single-line, .right-content .mat-select-value {
  color: #000 !important;
  border-radius: 10px;
  border: 1px solid #ccc;
}*/
.vehiclespan:hover{
  font: small;
}
.owl-dt-calendar-table .owl-dt-calendar-cell-content{
  font-size: 1.2em;
}
.owl-dt-container-control-button{
  font-size: 1.5em;
}

.submit_top_btn input{
  width: 100%;
}
.submit_top_btn{
  float: right;
  margin: 2px 0px;
}
#ordertrackingmap{
  height:450px;
}
.mat-checkbox-inner-container {
  height: 25px !important;
  width: 25px !important;
  margin-top:10px !important;
}
.careem {
  display: none;
} 
.careem:hover,.paused:hover + .careem {
  display: block;
}
.checked {
  color: orange;
}
#clicka{
  text-decoration: none;
  color: red;
  cursor: pointer;
}
.cover .loading_indicator2{
  width: 100px;
    height: 100px;
    position: absolute;
    top: 200px;
    left: 300px;
}
.cover{
  background-color: #000;
  min-height: 510px;
  width: 95%;
  opacity: .5;
  position: absolute;
  z-index: 99;
}
.progress-outer[_ngcontent-c14]{
  padding: 0 !important;
  margin:0 !important;
}
.small{
  font-size: 10px;
}
.mat-input-element {
  font: inherit;
  background: #fff !important;
  border: 1px solid #ccc !important;
  border-radius: 10px !important;
  outline: 0;
  padding: 0;
  margin: 0;
  width: 100%;
  max-width: 100%;
  vertical-align: bottom;
  text-align: inherit;
}
input.mat-chip-input {
  width: 150px;
  margin: 0px !important;
  flex: 1 0 150px;
  padding-left: 12px;
}
.mat-chip:not(.mat-basic-chip)+.mat-chip:not(.mat-basic-chip) {
  margin: 0 0 0 0px !important;
}
.completed{
  color: green;
}
.inprogress{
  color: orangered;
}
.gisComplete label{
  display: block !important;
  margin-left: auto;
}
.switch {
  position: relative;
  display: inline-block;
  width: 90px;
  height: 25px;
}

.switch input {display:none;}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #6fad14;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 17px;
  width: 17px;
  left: 10px;
  bottom: 4px;
  background-color: rgba(255, 255, 255, 0.68);
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #211c47;
}

input:focus + .slider {
  box-shadow: 0 0 1px #211c47;
}

input:checked + .slider:before {
  -webkit-transform: translateX(55px);
  -ms-transform: translateX(55px);
  transform: translateX(55px);
}

/*------ ADDED CSS ---------*/
.on
{
  display: none;
}

.on, .off
{
  color: white;
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 50%;
  font-size: 10px;
  font-family: Verdana, sans-serif;
}

input:checked+ .slider .on
{display: block;}

input:checked + .slider .off
{display: none;}

/*--------- END --------*/

/* Rounded sliders */
.slider.round {
  border-radius: 8px;
}

.slider.round:before {
  border-radius: 3px;}
 .tbInput:read-only{
  background-color: #FFF;
}
/*
.iti__country-list {
  white-space: normal;
  z-index: 500;
} */
#iw1{
  max-width: 180px;
  max-height: 100px;
}
.country-input{
  position: absolute;
  width: 5rem !important;
}
.country-input-placeholder{
  padding-left: 6rem !important;
}
.filter-input{
  display: flex;
}
.filter-input input{
  border-radius: 10px 0px 0px 10px;
}
.filter-input button{
  height: 30px;
  border-radius: 0px 10px 10px 0;
}
.date-border{
  border-color: #888;
}
.blinking-order {
  border-radius: 3px;
  animation: highlight 2500ms ease-out;
  animation-iteration-count: infinite;
}
.customer_link{
    float: right;
    font-weight: 700;
    font-size: 13px;
}
@keyframes highlight {
  0% {
    background-color: #ccc;
  }
  50% {
    background-color: red;
  }
  100% {
    background-color: #ccc;
  }
}
.disabled{
  pointer-events: none;
  opacity: .3;
}
.access-restricted-text{
  position: absolute;
  font-size: 2rem;
  color: #FF0000;
  top: 40%;
  left: 15%;
}
.map_select{
  position: absolute;
  right: 60px;
  z-index: 1;
  top: 17px;
}
.map_select select {
  border: none;
  padding: 9px;
  font-size: 15px;
  outline: none;
}
.mapLoader{
  z-index: 1;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);
}
.mapLoader img{
  height: 130px;
}
.color_codes{
  position: absolute;
  z-index: 1;
  right: 0;
  top: 20%;
}
.colors_palet{
  display: flex;
  margin-right: 10px;
  margin-bottom: 10px;
}
.color_red{
  position: relative;
  color:red;
  background-color: red;
  height: 15px;
  width: 15px;
  margin-right: 10px;
  border-radius: 50%;
}
.color_black{
    color: #020202;
    background-color: #020202;
    height: 15px;
    width: 15px;
    margin-right: 10px;
    border-radius: 50%;
}
.color_green{
  color:#22b14c;
  background-color: #22b14c;
  height: 15px;
  width: 15px;
  margin-right: 10px;
  border-radius: 50%;
}
.color_blue{
  color: #00bfff;
  background-color: #00bfff;
  height: 15px;
  width: 15px;
  margin-right: 10px;
  border-radius: 50%;
}
.color_violet{
  color: #6827b0;
  background-color: #6827b0;
  height: 15px;
  width: 15px;
  margin-right: 10px;
  border-radius: 50%;
}
.color_orange{
  color:#ff7e00;
  background-color: #ff7e00;
  height: 15px;
  width: 15px;
  margin-right: 10px;
  border-radius: 50%;
}
.color_tool{
  position: relative;
}
.color_tool .tooltiptext {
  visibility: hidden;
  width: 175px;
  background-color: #999;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  
  /* Position the tooltip */
  position: absolute;
  z-index: 1;
  top: -5px;
  right: 105%;
}

.color_tool:hover .tooltiptext {
  visibility: visible;
}
 @media (max-width: 512px){
  .access-restricted-text{
    display: none;
  }
 }
